#!/usr/bin/perl

#
# linkat-hotspot scripts
# Aleix Solé Romeu <asole@itechgrup.com>
#

#
# Common stuff and configuration file reference.
#

sub read_hotspot_config {
	my $hs_config;
	
	my $config_file = "/etc/linkat-servidor-comunicacions/linkat_hotspot.conf";
	open($FH, $config_file);
	
	while (<$FH>) {
	    chomp;
	    s/#.*//;
	    s/^\s+//;
	    s/\s+$//;
	    next unless length;
	    my ($var, $value) = split(/\s*=\s*/, $_, 2);
	    $hs_config->{ $var } = $value;
	}
	return $hs_config;
}

1;
