#!/usr/bin/perl

require './linkat_hotspot_libs.pl';

#
# Global vars
#
my %db_config = &read_hotspot_config();
my $dbh = &db_connect(\%db_config);
my %settings;

ui_print_header(undef,$text{'index_edit_groups'},"");

&ReadParse(\%post);

foreach (keys %post)
{
	my ($gid,$key) = split(/_/, $_, 2);
	
	$settings{$gid}{$key} = $post{$_};
}


foreach $gid (keys %settings)
{
	update_group_acl($dbh, $gid, $settings{$gid});
}

ui_print_footer("edit_acls.cgi", $text{'footer_back'});
