#!/usr/bin/perl

require './linkat_hotspot_libs.pl';

#
# Global vars
#
my %db_config = &read_hotspot_config();
my $dbh = &db_connect(\%db_config);
my %settings;

ui_print_header(undef,$text{'index_edit_groups'},"");

&ReadParse(\%post);

$gid = $post{'group_id'};

@groupusers = split(/\0/, $post{'groupusers'.$gid});
@otherusers = split(/\0/, $post{'otherusers'.$gid});

print "<p><b>Updating group $gid</b></p>\n";

print "<p>Checking group members:\n";
foreach (@groupusers)
{
	print "$_ ";
	add_user_to_group($dbh, $_, $gid);
}
print "</p>";

print "<p>Checking group non-members:\n";
foreach (@otherusers)
{
	print "$_ ";
	remove_user_from_group($dbh, $_, $gid);
}
print "</p>";

print "<p>All changes applied.</p>\n";

ui_print_footer("edit_groups.cgi", $text{'footer_back'});
