#!/usr/bin/perl

use File::Slurp;

require './linkat_hotspot_libs.pl';

#
# Global vars
#
my %db_config = &read_hotspot_config();
my $dbh = &db_connect(\%db_config);
my %settings;

ui_print_header(undef,$text{'index_edit_list'},"");

&ReadParse(\%post);

if ($post{'is_whitelist'} eq "1")
{
	$domainfile = "/var/lib/squidGuard/db/white/domains";
	$urlfile = "/var/lib/squidGuard/db/white/urls";
} 
elsif ($post{'is_blacklist'} eq "1") 
{
	$domainfile = "/var/lib/squidGuard/db/black/domains";
	$urlfile = "/var/lib/squidGuard/db/black/urls";
} 
else 
{
	$groupname = $post{'groupname'};
	$domainfile = "/var/lib/squidGuard/db/walled/".$groupname."domains";
	$urlfile = "/var/lib/squidGuard/db/walled/".$groupname."urls";
}

$domainlist = $post{'domainlist'};
$urlist = $post{'urlist'};

print "Writing $domainfile contents<br>";
File::Slurp::write_file($domainfile, $domainlist);
print "Writing $urlfile contents<br>";
File::Slurp::write_file($urlfile, $urlist);


ui_print_footer("edit_acls.cgi", $text{'footer_back'});
