#!/usr/bin/perl

require './linkat_hotspot_libs.pl';

#
# Global vars
#
my %db_config = &read_hotspot_config();
my $dbh = &db_connect(\%db_config);

ui_print_header(undef,$text{'global_settings'},"");

&ReadParse(\%post);

foreach (keys %post)
{
	# Some basic parsing of the hour range parameters
	if ($_ =~ m/class_hours/)
	{
		@hours = ();
		while ($post{$_} =~ m/(\d\d:\d\d-\d\d:\d\d)/g)
		{ 
			push @hours, $1; 
		} 
		$settings{$_} = join(" ", @hours);
	}
	elsif ($_ =~ m/break_hours/)
	{
		@hours = ();
		while ($post{$_} =~ m/(\d\d:\d\d-\d\d:\d\d)/g)
		{ 
			push @hours, $1;
		} 
		$settings{$_} = join(" ", @hours);
	}
	else
	{
		$settings{$_} = $post{$_};
	}
}

update_globalsettings($dbh, \%settings);

ui_print_footer("edit_acls.cgi", $text{'footer_back'});

